Package com.castlabs.android.exoplayer2.ext.amlnativeplayer

# Class AmlComponent

java.lang.Object
com.castlabs.android.exoplayer2.ext.amlnativeplayer.AmlComponent

All Implemented Interfaces:
  `PlayerControllerPlugin.Component`

public class AmlComponent extends Object implements PlayerControllerPlugin.Component
AmlComponent is a PlayerControllerPlugin.Component that provides access to the AmlTrackRendererPlugin and AmLogicPlayerPlugin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AmlComponent(AmlTrackRendererPlugin amlTrackRendererPlugin, AmLogicPlayerPlugin amLogicPlayerPlugin)`
  Creates a new AmlComponent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class`
  `id()`
  `void`
  `onDestroy(PlayerController playerController)`
  `void`
  `onOpenBundle(PlayerController playerController, Bundle bundle)`
  `void`
  `onOpenState(PlayerController playerController, PlayerConfig playerConfig)`
  `void`
  `removeWVCASLicense(String lic)`
  Removes the WVCAS license.
  `void`
  `setEventDispatcher(com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher eventDispatcher)`
  Sets the EventDispatcher to use for analytics events.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AmlComponent

    public AmlComponent(AmlTrackRendererPlugin amlTrackRendererPlugin, AmLogicPlayerPlugin amLogicPlayerPlugin)
    Creates a new AmlComponent.
    Parameters:
      `amlTrackRendererPlugin` - The AmlTrackRendererPlugin to use.
      `amLogicPlayerPlugin` - The AmLogicPlayerPlugin to use.

- ## Method Details

  - ### setEventDispatcher

    public void setEventDispatcher(@Nullable com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher eventDispatcher)
    Sets the EventDispatcher to use for analytics events.
    Parameters:
      `eventDispatcher` - The EventDispatcher to use.

  - ### removeWVCASLicense

    public void removeWVCASLicense(String lic)
    Removes the WVCAS license.
    Parameters:
      `lic` - The license to remove.

  - ### id

    @NonNull public Class id()
    Specified by:
      `id` in interface `PlayerControllerPlugin.Component`

  - ### onDestroy

    public void onDestroy(@NonNull PlayerController playerController)
    Specified by:
      `onDestroy` in interface `PlayerControllerPlugin.Component`

  - ### onOpenBundle

    public void onOpenBundle(@NonNull PlayerController playerController, @NonNull Bundle bundle)
    Specified by:
      `onOpenBundle` in interface `PlayerControllerPlugin.Component`

  - ### onOpenState

    public void onOpenState(PlayerController playerController, PlayerConfig playerConfig)
    Specified by:
      `onOpenState` in interface `PlayerControllerPlugin.Component`